Package Details: python-b2sdk 1.1.4-1

Git Clone URL: https://aur.archlinux.org/python-b2sdk.git (read-only, click to copy)
Package Base: python-b2sdk
Description: Python library to access B2 cloud storage.
Upstream URL: https://github.com/Backblaze/b2-sdk-python
Licenses: MIT
Submitter: 2bluesc
Maintainer: 2bluesc
Last Packager: 2bluesc
Votes: 0
Popularity: 0.000000
First Submitted: 2019-05-04 06:17
Last Updated: 2020-07-22 05:36

Latest Comments

smoak commented on 2020-07-17 21:57

Version 2.0.2 of b2 is available now which requires b2sdk>=1.1.4,<1.2.0 so this package can be updated

2bluesc commented on 2020-04-12 17:18

@drwho v0.1.8 is being packaged because the released (i.e. latest tag) version of backblaze-b2 package doesn't yet support b2sdk beyond v0.2.0

https://github.com/Backblaze/B2_Command_Line_Tool/blob/v1.4.2/requirements.txt

When the command line tool is updated to support the latest SDK I'll gladly upgrade.

drwho commented on 2020-02-18 07:24

I'm a bit concerned that v0.1.8 is still being packaged, when v1.0.2 is the latest supported version at Github (https://github.com/Backblaze/b2-sdk-python/releases/tag/v1.0.2).

dcelasun commented on 2019-09-02 12:09

b2-sdk depends on arrow>=0.8.0,<0.13.1, but this package has arrow>=0.8.0 which is causing a warning spam with b2-cli.